DualUDPIPv4Socket(3)

NAME
DualUDPIPv4Socket - A socket class based on two UDP/IPv4 sockets.

SYNOPSIS

#include <channel.h>

Detailed Description

A socket class based on two UDP/IPv4 sockets.

Defines a communication channel for RTP data and/or RTCP streams. Sockets used to instantiate this template must define a framing mechanism (UDP does not need any addition, TCP does).

This class implements a socket as a pair of UDP/IPv4 sockets, alllowing both transmission and reception of packets in unicast as well as multicast mode. The implementation of this class relies on the Common C++ UDPSocket class but provides the interface needed by a ccRTP stack.

Normally, RTP stacks will use two objects of this class, one for RTP data packets transmission/reception and other for RTCP (control) transmission/reception.

Author:
    Federico Montesino Pouzols fedemp@altern.org

Author

Generated automatically by Doxygen for ccRTP from the source code.